.item {
    min-width: 0;
    height: 100%;
    display: flex;
    flex-direction: column;
    box-shadow: 0px 4px 55px 0px #F1F1F1;
    transition: .25s;

    &:hover {
        box-shadow: 0px 4px 100px 0px rgba(186, 186, 186, 0.50);
        transition: .25s;
    }

    &__media {
        display: block;
        position: relative;
    }

    &__tag {
        top: rem(20);
        left: rem(20);
        z-index: 10;
        height: rem(21);
        padding: rem(2) rem(8) 0 rem(8);
        font-weight: 600;
        font-size: rem(10);
        line-height: 125%;
        text-transform: uppercase;
        color: $white;
        position: absolute;
        display: inline-flex;
        align-items: center;
        justify-content: center;

        &--new {
            background: #008F57;
        }

        &--action {
            background: $red;
        }
    }

    &__content {
        z-index: 20;
        line-height: 125%;
        position: relative;
        background: $white;
        padding: rem(18) rem(20);
        display: flex;
        flex-grow: 1;
        flex-direction: column;
    }

    &__status {
        font-weight: 600;
        line-height: 125%;
        font-size: rem(11);
        position: relative;
        padding-left: rem(8);
        margin-bottom: rem(10);

        &:before {
            left: 0;
            top: rem(4);
            width: 5px;
            height: 5px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            border: 1px solid transparent;
        }

        &--green {
            color: $green;

            &:before {
                border-color: $green;
            }
        }

        &--red {
            color: $red;

            &:before {
                border-color: $red;
            }
        }

        &--purple {
            color: $purple;

            &:before {
                border-color: $purple;
            }
        }

        &--yellow {
            color: $gold;

            &:before {
                border-color: $gold;
            }
        }
    }

    &__title {
        font-weight: 600;
        line-height: 125%;
        font-size: rem(14);
        flex-grow: 1;

        a {
            color: $dark;
            text-decoration: none;
            transition: .25s;

            &:hover {
                color: $purple;
                text-decoration: none;
                transition: .25s;
            }
        }
    }

    &__footer {
        margin-top: rem(8);
        display: flex;
        align-items: center;
    }

    &__price {
        color: $dark;
        font-weight: 600;
        line-height: 145%;
        font-size: rem(18);
        white-space: nowrap;

        &--gray {
            color: $gray-300;
        }

        &--purple {
            color: $purple;
        }

        small {
            font-size: rem(13);
        }
    }

    &__old-price {
        color: $gray-300;
        font-weight: 600;
        line-height: 145%;
        font-size: rem(14);
        margin-right: rem(14);
        text-decoration: line-through;
    }

    &__favorite {
        right: 0;
        z-index: 20;
        bottom: 100%;
        position: absolute;
    }

    &__pagination {
        left: 0;
        right: 0;
        z-index: 20;
        bottom: rem(20);
        font-size: 0;
        line-height: 0;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .swiper-pagination {
        left: 0;
        right: 0;
        z-index: 20;
        bottom: rem(20);
        font-size: 0;
        line-height: 0;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .swiper-pagination-bullet {
        width: 7px;
        height: 7px;
        display: block;
        cursor: pointer;
        margin: 0 5px;
        border-radius: 50%;
        background: rgba(255,255,255,0.5);
    }

    .swiper-pagination-bullet-active {
        background: rgba(255,255,255,1);
    }

    @include media-breakpoint-up(md) {

        &__image {
            height: rem(330);
        }

        &__content {
           padding: rem(20) rem(26);
        }

        &__status {
            font-size: rem(13);
            padding-left: rem(16);

            &:before {
                top: rem(6);
                width: 6px;
                height: 6px;
                border-width: 2px;
            }
        }

        &__title {
            max-width: rem(240);
            font-size: rem(16);
        }

        &__footer {
            margin-top: rem(12);
        }

        &__price {
            font-size: rem(22);
        }

        &__old-price {
            font-size: rem(16);
        }

        &__tag {
            height: rem(27);
            min-width: rem(50);
            font-size: rem(11);
            line-height: rem(14);
            letter-spacing: 1.1px;
        }
    }

    @include media-breakpoint-up(xl) {

        &__image {
            height: auto;
        }

        &__content {
            padding: rem(28) rem(32);
        }
    }
}

[data-item-media] {


}

.item-media {
    z-index: 5;
    display: block;
    overflow: hidden;
    position: relative;
    mix-blend-mode: multiply;

    &__gallery {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        position: absolute;
        display: flex;

        &:hover {

            .item-media {

                &__control {

                    &.active {

                        .item-media__layout {

                            &:before {
                                background: #DCDCF6;
                            }
                        }

                        &:hover {

                            .item-media__layout {

                                &:before {
                                    background: #5F5CF4;
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    &__image {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        display: block;
        position: absolute;
        opacity: 0;
        visibility: hidden;
        transition: .25s;
    }

    &__layout {
        z-index: 10;
        width: 100%;
        height: 100%;
        display: block;
        position: relative;
    }

    &__control {
        flex-grow: 1;
        display: block;

        &.active {

            .item-media {

                &__layout {

                    &:before {
                        background: #5F5CF4;
                    }
                }
            }
        }

        &:hover {

            .item-media {

                &__layout {

                    &:before {
                        background: #5F5CF4;
                    }
                }

                &__image {
                    opacity: 1;
                    visibility: visible;
                    transition: .25s;
                }
            }
        }
    }

    &__pagination {
        left: 0;
        right: 0;
        z-index: 20;
        bottom: rem(20);
        font-size: 0;
        line-height: 0;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__bullet {
        width: 7px;
        height: 7px;
        display: block;
        cursor: pointer;
        margin: 0 5px;
        border-radius: 50%;
        background: rgba(255,255,255,0.5);

        &.active {
            background: rgba(255,255,255,1);
        }
    }
}


@include media-breakpoint-up(sm) {}

@include media-breakpoint-up(md) {}

@include media-breakpoint-up(lg) {}

@include media-breakpoint-up(xl) {}

@include media-breakpoint-up(xxl) {}
